# Get order history

```
GET /api/v1/orders/history
```

#### Query Parameters

<table><thead><tr><th width="176">Field</th><th width="98">Type</th><th width="95">Need</th><th width="189">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>"account"</code></td><td>string</td><td>required</td><td>Account address to filter orders</td><td><code>42trU9A5...</code></td></tr><tr><td><code>"limit"</code></td><td>integer</td><td>optional</td><td>Maximum number of records to return, default to 100</td><td><code>100</code></td></tr><tr><td><code>"cursor"</code></td><td>string</td><td>optional</td><td>Cursor pagination to access records. Default to none</td><td><code>1115hVka</code></td></tr></tbody></table>

```
/api/v1/orders/history?account=42trU9A5...&limit=100
```

#### Response

* Status 200: Successfully retrieved order history

```json
{
  "success": true,
  "data": [
    {
      "order_id": 315992721,
      "client_order_id": "ade",
      "symbol": "XPL",
      "side": "ask",
      "initial_price": "1.0865",
      "average_filled_price": "0",
      "amount": "984",
      "filled_amount": "0",
      "order_status": "open",
      "order_type": "limit",
      "stop_price": null,
      "stop_parent_order_id": null,
      "reduce_only": false,
      "reason": null,
      "created_at": 1759224893638,
      "updated_at": 1759224893638
    },
    ...
  ],
  "next_cursor": "1111Hyd74",
  "has_more": true
}
```

<table><thead><tr><th width="208">Field</th><th width="186">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>"order_id"</code></td><td>integer</td><td>Order id assigned to order</td></tr><tr><td><code>"client_order_id"</code></td><td>UUID</td><td>CLOID of order if assigned by user</td></tr><tr><td><code>"symbol"</code></td><td>string</td><td>Trading pair symbol</td></tr><tr><td><code>"side"</code></td><td>string</td><td>Whether the order is a bid or an ask</td></tr><tr><td><code>"price"</code></td><td>decimal string</td><td>Price set by the order</td></tr><tr><td><code>"initial_price"</code></td><td>decimal string</td><td>Amount (in token denomination) of the order placed</td></tr><tr><td><code>"average_filled_price"</code></td><td>decimal string</td><td>VWAP of price at which the order was filled at</td></tr><tr><td><code>"amount"</code></td><td>decimal string</td><td>Amount (in token denomination) of the order placed</td></tr><tr><td><code>"filled_amount"</code></td><td>decimal string</td><td>Amount (in token denomination) of the order placed that was filled</td></tr><tr><td><code>"order_status"</code></td><td>string</td><td><code>"open"</code><br><code>"partially_filled"</code><br><code>"filled"</code><br><code>"cancelled"</code><br><code>"rejected"</code></td></tr><tr><td><code>"order_type"</code></td><td>string</td><td><code>"limit"</code><br><code>"market"</code><br><code>"stop_limit"</code><br><code>"stop_market"</code><br><code>"take_profit_limit"</code><br><code>"stop_loss_limit"</code><br><code>"take_profit_market"</code><br><code>"stop_loss_market"</code></td></tr><tr><td><code>"stop_price"</code></td><td>decimal string</td><td>Stop price assigned upon order creation for subsequent position if order is filled if specified by user.</td></tr><tr><td><code>"stop_parent_order_id"</code></td><td>integer</td><td>Order id of stop order attached to original order</td></tr><tr><td><code>"reduce_only"</code></td><td>boolean</td><td>If the order is reduce only</td></tr><tr><td><code>"reason"</code></td><td>string</td><td>Provides reason for an order being <code>"cancelled"</code> or <code>"rejected"</code>:<br><code>"cancel"</code><br><code>"force_cancel"</code><br><code>"expired"</code><br><code>"post_only_rejected"</code><br><code>"self_trade_prevented"</code></td></tr><tr><td><code>"created_at"</code></td><td>integer</td><td>Timestamp in milliseconds when the order was created on Pacifica</td></tr><tr><td><code>"updated_at"</code></td><td>integer</td><td>Timestamp in milliseconds when any of the order was last modified</td></tr><tr><td><code>'next_cursor'</code></td><td>string</td><td>Next cursor for pagination</td></tr><tr><td><code>'has_more'</code></td><td>boolean</td><td>True if there exists a <code>'next_cursor'</code></td></tr></tbody></table>

* Status 400: Invalid request parameters
* Status 401: Unauthorized access
* Status 500: Internal server error

#### Code Example (Python)

```python
import requests

response = requests.get(
    "/api/v1/orders/history?account=42trU9A5...&limit=100",
    headers={"Accept": "*/*"},
)

data = response.json()
```
